Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.util
Class FakeHttpServletResponse

    java.lang.Object
      org.directwebremoting.util.FakeHttpServletResponse

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class FakeHttpServletResponse

extends java.lang.Object
implements javax.servlet.http.HttpServletResponse

Mock implementation of the HttpServletResponse interface.

Author:
  Rod Johnson, Juergen Hoeller, Joe Walker [joe at getahead dot ltd dot uk]

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`FakeHttpServletResponse()`

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long value)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIntHeader(java.lang.String name, int value)`
`boolean` | `containsHeader(java.lang.String name)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` | `encodeRedirectURL(java.lang.String url)`
`java.lang.String` | `encodeUrl(java.lang.String url)`
`java.lang.String` | `encodeURL(java.lang.String url)`
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`java.lang.String` | `getCharacterEncoding()`
`byte[]` | `getContentAsByteArray()` Accessor for the content of output body
`java.lang.String` | `getContentAsString()` Accessor for the content of output body
`int` | `getContentLength()` Accessor for the content length of the output
`java.lang.String` | `getContentType()`
`javax.servlet.http.Cookie` | `getCookie(java.lang.String name)` Get a cookie by a given name
`javax.servlet.http.Cookie[]` | `getCookies()` Accessor for the array of current cookies
`java.lang.String` | `getErrorMessage()` Accessor for any error messages set using `sendError(int)` or `sendError(int, String)`
`java.lang.String` | `getForwardedUrl()` What URL are we forwarding to?
`java.lang.Object` | `getHeader(java.lang.String name)` Accessor for a header by a given name
`java.util.Set` | `getHeaderNames()` Accessor for the current set of headers
`java.util.List` | `getHeaders(java.lang.String name)` If there are multiple values for a given header, get them as a list
`java.lang.String` | `getIncludedUrl()` What URL are we including?
`java.util.Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`java.lang.String` | `getRedirectedUrl()` Accessor for the redirect URL set using `sendRedirect(String)`
`int` | `getStatus()` What HTTP status code should be returned?
`java.io.PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `sendError(int newStatus)`
`void` | `sendError(int newStatus, java.lang.String newErrorMessage)`
`void` | `sendRedirect(java.lang.String url)`
`void` | `setBufferSize(int bufferSize)`
`void` | `setCharacterEncoding(java.lang.String characterEncoding)`
`void` | `setCommitted(boolean committed)`
`void` | `setContentLength(int contentLength)`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setDateHeader(java.lang.String name, long value)`
`void` | `setForwardedUrl(java.lang.String forwardedUrl)` What URL are we forwarding to?
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIncludedUrl(java.lang.String includedUrl)` What URL are we including?
`void` | `setIntHeader(java.lang.String name, int value)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setStatus(int status)`
`void` | `setStatus(int status, java.lang.String errorMessage)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FakeHttpServletResponse

    public FakeHttpServletResponse()

Method Detail

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String characterEncoding)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`

### getWriter

    public java.io.PrintWriter getWriter()
                                  throws java.io.UnsupportedEncodingException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Throws:
    `java.io.UnsupportedEncodingException`

### flushBuffer

    public void flushBuffer()

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`

### sendError

    public void sendError(int newStatus,
                          java.lang.String newErrorMessage)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(int newStatus)
                   throws java.io.IOException

  Specified by:
    `sendError` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### getErrorMessage

    public java.lang.String getErrorMessage()

  Accessor for any error messages set using `sendError(int)` or `sendError(int, String)`

  Returns:
    The current error message

### sendRedirect

    public void sendRedirect(java.lang.String url)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
  Throws:
    `java.io.IOException`

### getRedirectedUrl

    public java.lang.String getRedirectedUrl()

  Accessor for the redirect URL set using `sendRedirect(String)`

  Returns:
    The redirect URL

### setStatus

    public void setStatus(int status)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### setStatus

    public void setStatus(int status,
                          java.lang.String errorMessage)

  Specified by:
    `setStatus` in interface `javax.servlet.http.HttpServletResponse`

### getStatus

    public int getStatus()

  What HTTP status code should be returned?

  Returns:
    The current http status code

### getContentAsByteArray

    public byte[] getContentAsByteArray()

  Accessor for the content of output body

  Returns:
    A byte array of the output body

### getContentAsString

    public java.lang.String getContentAsString()
                                        throws java.io.UnsupportedEncodingException

  Accessor for the content of output body

  Returns:
    A string of the output body
  Throws:
    `java.io.UnsupportedEncodingException`

### setContentLength

    public void setContentLength(int contentLength)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`

### getContentLength

    public int getContentLength()

  Accessor for the content length of the output

  Returns:
    The content length of the output

### setContentType

    public void setContentType(java.lang.String contentType)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`

### setBufferSize

    public void setBufferSize(int bufferSize)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`

### setCommitted

    public void setCommitted(boolean committed)

  Parameters:
    `committed` -

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`

### setLocale

    public void setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `javax.servlet.http.HttpServletResponse`

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

  Accessor for the array of current cookies

  Returns:
    The current set of output cookies

### getCookie

    public javax.servlet.http.Cookie getCookie(java.lang.String name)

  Get a cookie by a given name

  Parameters:
    `name` - The name of the cookie to fetch
  Returns:
    A matching cookie or null if there was no match

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Specified by:
    `encodeUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Specified by:
    `encodeURL` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Specified by:
    `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  Specified by:
    `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `addHeader` in interface `javax.servlet.http.HttpServletResponse`

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `setHeader` in interface `javax.servlet.http.HttpServletResponse`

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long value)

  Specified by:
    `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Specified by:
    `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Specified by:
    `containsHeader` in interface `javax.servlet.http.HttpServletResponse`

### getHeaderNames

    public java.util.Set getHeaderNames()

  Accessor for the current set of headers

  Returns:
    The current set of headers

### getHeader

    public java.lang.Object getHeader(java.lang.String name)

  Accessor for a header by a given name

  Parameters:
    `name` - The header name to lookup
  Returns:
    The data behind this header

### getHeaders

    public java.util.List getHeaders(java.lang.String name)

  If there are multiple values for a given header, get them as a list

  Parameters:
    `name` - The header name to lookup
  Returns:
    The data behind this header

### setForwardedUrl

    public void setForwardedUrl(java.lang.String forwardedUrl)

  What URL are we forwarding to?

  Parameters:
    `forwardedUrl` - What URL are we forwarding to?

### getForwardedUrl

    public java.lang.String getForwardedUrl()

  What URL are we forwarding to?

  Returns:
    What URL are we forwarding to?

### setIncludedUrl

    public void setIncludedUrl(java.lang.String includedUrl)

  What URL are we including?

  Parameters:
    `includedUrl` - What URL are we including?

### getIncludedUrl

    public java.lang.String getIncludedUrl()

  What URL are we including?

  Returns:
    What URL are we including?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD